CustomersCustomer
Configure customer sign-in
Creates or updates the OAuth client for the origin and returns its sign-in mode, public CAPTCHA and OAuth details.
Query Parameters
origin*string
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://storefront.ecomiq.pe/v1/customer/auth/config?origin=Andrea+Ramos" \ -H "x-Store-Domain: my-store"{ "authority": "Andrea Ramos", "clientId": "app_replace_with_your_client_id", "authorizationEndpoint": "Andrea Ramos", "tokenEndpoint": "replace_with_the_issued_token", "revocationEndpoint": "Andrea Ramos", "scope": "AllProducts", "redirectUri": "https://erp.example.com/webhooks/ecomiq", "loginMode": "hosted"}